package activity

import (
	"github.com/google/wire"
	"github.guxuan/haibei/internal/mods/activity/api"
	"github.guxuan/haibei/internal/mods/activity/biz"
	"github.guxuan/haibei/internal/mods/activity/dal"
)

var Set = wire.NewSet(
	wire.Struct(new(Activity), "*"),
	wire.Struct(new(dal.Activity), "*"),
	wire.Struct(new(biz.Activity), "*"),
	wire.Struct(new(api.Activity), "*"),
	wire.Struct(new(dal.Questionnaire), "*"),
	wire.Struct(new(biz.Questionnaire), "*"),
	wire.Struct(new(api.Questionnaire), "*"),
	wire.Struct(new(dal.ActivityDetail), "*"),
	wire.Struct(new(biz.ActivityDetail), "*"),
	wire.Struct(new(api.ActivityDetail), "*"),
	wire.Struct(new(dal.QeustionDetail), "*"),
	wire.Struct(new(biz.QeustionDetail), "*"),
	wire.Struct(new(api.QeustionDetail), "*"),
)
